Finding a single Object covering at least CPU set(3)

NAME
Finding a single Object covering at least CPU set -

  Functions
static inline hwloc_obj_t hwloc_get_child_covering_cpuset (hwloc_topology_t topology , hwloc_const_cpuset_t set, hwloc_obj_t parent)
static inline hwloc_obj_t hwloc_get_obj_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)

Function Documentation

  static inline hwloc_obj_t hwloc_get_child_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_tset, hwloc_obj_tparent) [static]

Get the child covering at least CPU set set. Returns:
    NULL if no child matches or if set is empty.

  static inline hwloc_obj_t hwloc_get_obj_covering_cpuset (hwloc_topology_ttopology, hwloc_const_cpuset_tset) [static]

Get the lowest object covering at least CPU set set. Returns:
    NULL if no object matches or if set is empty.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.